Bug 35673 (mab3.4) - LibreOffice 3.4 most annoying bugs
Summary: LibreOffice 3.4 most annoying bugs
Status: CLOSED FIXED
Alias: mab3.4
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.0 Beta2
Hardware: All All
: medium critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: patch
Depends on: 32861 33355 33379 33463 33522 33593 34184 34805 34910 35017 35345 35554 35668 35671 35706 35744 35784 35805 36045 36262 36263 36271 36275 36277 36284 36285 36301 36306 36336 36345 36404 36443 36451 36481 36482 36493 36496 36510 36519 36524 36545 36547 36551 36555 36613 36615 36631 36662 36667 36673 36676 36678 36679 36684 36688 36756 36802 36816 36820 36838 36843 36849 36863 36898 36907 36915 36926 36927 36991 37003 37024 37030 37077 37083 37179 37195 37277 37390 37429 37488 37499 37561 37622 37799 37860 38000 38177 38542 38544 38595 38745 38817 38956 39118 39159 39236 39447 39510 39589 39659 39724 39799 39928 39950 40113 40482 40651 41054 41089 42097 42382 42714 42762 42772 43867 43868 44208 45078 45355
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-25 10:00 UTC by Petr Mladek
Modified: 2015-10-18 03:18 UTC (History)
17 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2011-03-25 10:00:43 UTC
This is the Meta issue to track most annoying bugs for the release of LibO
3.4.x releases. It helps developers to concentrate on bugs that are important for users. Also it helps users to be aware of potential problems.

If anyone wants to raise an Bug for the release, please add the Bug ID as
dependent Bug here to the Meta Bug in field "Depends on". Additionally please
leave a comment here why you think that the bug should be privileged.

See also http://wiki.documentfoundation.org/Release_Criteria
Comment 1 Petr Mladek 2011-03-25 10:07:47 UTC
Add bug 35671. Wiki help does not show the right pages and thus is hard to use.
Comment 2 Björn Michaelsen 2011-03-25 11:44:45 UTC
Depending on failing complex and unoapi tests:  35660, 35661, 35662, 35663, 35666, 35667.
Comment 3 Rainer Bielefeld Retired 2011-03-25 11:55:21 UTC
@Björn:
Can you please explain why you see bugs nominated by you as "most annoying ... that are important for users"?
Comment 4 Hillar 2011-03-25 12:12:16 UTC
35602: Reason is quite clear. I personaly know three people who have lost their hours of work.
Comment 5 Björn Michaelsen 2011-03-25 12:23:56 UTC
@Rainer: please see http://lists.freedesktop.org/archives/libreoffice/2011-March/009626.html

35668 is a  well reproducible crasher and should be fixed in any case.

The others are not that critical IMHO, but keeping the complex and unoapi tests clean is a very valid goal. Luckily, because there are tests for these, they should be rather easy to fix.
Comment 6 Petr Mladek 2011-03-25 13:48:15 UTC
(In reply to comment #5)
> please see
> http://lists.freedesktop.org/archives/libreoffice/2011-March/009626.html

I see that Michael actually suggested to link the bugs here ;-)

> 35668 is a  well reproducible crasher and should be fixed in any case.
> 
> The others are not that critical IMHO, but keeping the complex and unoapi tests
> clean is a very valid goal. Luckily, because there are tests for these, they
> should be rather easy to fix.

Well, I would prefer to link here only bugs that really annoys people and breaks their daily work. Otherwise, we would end up with all bugs linked here and the purpose of the meta bug would be gone ;-)

If you are going to fix them any time soon or you think that they point to serious problems, feel free to keep them linked.
Comment 7 Björn Michaelsen 2011-03-26 04:13:46 UTC
Removed all bugs but 35668 here as they seem not absolutely critical.

All subsequenttest bugs have now their own metabug:

 https://bugs.freedesktop.org/show_bug.cgi?id=35690

(added as "see also:" URL)
Comment 8 Rainer Bielefeld Retired 2011-03-28 05:19:27 UTC
Nominating: 
Bug 31606-PRINTING selected pages of long documents pick up the wrong pagerange

It's really a pain to have a text processor that has difficulties (or better: is not able) to print correctly selected pages
Comment 9 Vossman 2011-03-31 06:14:49 UTC
I would like to nominate: Bug 34814 "Bullet lists in .docx are loaded incorrectly", it already has some patches that need to be tested.
Comment 10 Michel Rudelle 2011-04-04 00:58:49 UTC
Please add: https://bugs.freedesktop.org/show_bug.cgi?id=33522
[CALC] [PRINT] Option “Print only selected sheets” does not work in “Page Preview” mode
A large number of pages can be involuntarily printed instead of a single page (Very boring when the printer is in another room).
Comment 11 Tobias Burnus 2011-04-04 02:06:30 UTC
I would like to nominate bug 33463 [.docx no comments saved] as replacement for bug 35602 (cf. comment 4).

(Both bugs are the same, except that the latter has now been marked as duplicate of the former. Hence, the latter (bug 35602) appears as CLOSED in the dependency list.)
Comment 12 Jean-Baptiste Faure 2011-04-04 22:30:50 UTC
Well, bug 33522 being a duplicate of bug 32826, I would like nominate bug 32826 for the same reason : "A large number of pages can be involuntarily printed instead of a single page (Very boring when the printer is in another room)".
Comment 13 Fran 2011-04-05 05:02:27 UTC
bug 35345 (Cells hidden with filters get changed)

A user unaware of the problem can lose data, as the expected behavior when you filter is that the hidden cells don't get modified.
Comment 14 Petr Mladek 2011-04-07 08:22:03 UTC
Add bug #36045: LO does not allow to insert any media
Comment 15 Petr Mladek 2011-04-07 08:27:45 UTC
Accepted bug #34814. Broken bullets DOCX import. Well, AFAIK this might be a bit complicated.
Comment 16 Kohei Yoshida 2011-04-07 08:40:03 UTC
(In reply to comment #13)
> bug 35345 (Cells hidden with filters get changed)
> 
> A user unaware of the problem can lose data, as the expected behavior when you
> filter is that the hidden cells don't get modified.

This is a feature request thus should not be considered a stopper bug.  Plus this requires non-trivial change, too risky for 3.4 especially after the feature freeze.
Comment 17 Kohei Yoshida 2011-04-07 08:44:32 UTC
(In reply to comment #16)

> This is a feature request thus should not be considered a stopper bug.  Plus
> this requires non-trivial change, too risky for 3.4 especially after the
> feature freeze.

Hmm... actually on 2nd look, this may be a bug.
Comment 18 Fran 2011-04-08 01:16:18 UTC
(In reply to comment #17)
> (In reply to comment #16)
> 
> > This is a feature request thus should not be considered a stopper bug.  Plus
> > this requires non-trivial change, too risky for 3.4 especially after the
> > feature freeze.
> 
> Hmm... actually on 2nd look, this may be a bug.

And there is a patch in OpenOffice. From http://openoffice.org/bugzilla/show_bug.cgi?id=89232#c27:

"Fixed in CWS calc66, based on a patch from the IBM Symphony team. Filtered rows
are skipped, and if there are filtered rows, the default is copying instead of
incrementing."
Comment 19 sasha.libreoffice 2011-04-13 06:54:39 UTC
Bug 35017: LibreOffice resets all information about user assigned keyboard shortcuts while start. Users therefore can not assign any keyboard shortcuts permanently.
Comment 20 Petr Mladek 2011-04-14 01:57:44 UTC
Add bug 33915: user settings get lost after several restarts; It is quite annoying. Unfortunately, it is hard to fix because we still do not have a reasonable way to reproduce it.
Comment 21 Olivier Hallot 2011-04-15 08:28:47 UTC
Added bug 36262 to undo BrOffice modifications and return to LibreOffice for the Brazilian locale.
Comment 22 Rainer Bielefeld Retired 2011-04-16 00:47:23 UTC
Nominate: Bug 36263 - No icons in user interface
That's a heavy blocker
Comment 23 Zack 2011-04-16 09:34:06 UTC
Nominate: Bug 36271

Writer won't open for people on Windows.  Blocker bugs don't get more severe than this.
Comment 24 Zack 2011-04-17 14:01:00 UTC
Nominate: Bug 36284

LO won't save files.  This is a very serious blocker.
Comment 25 manj_k 2011-04-17 14:35:49 UTC
Nominate: Bug 36320
Impossible to open an existing file (odt, ods, odg, odp)
via Startcenter or Menu > Open (Writer, Calc, Draw, Impress)
Comment 26 Ed 2011-04-18 05:21:08 UTC
Checkboxes missing from Options panel - makes the options panel completely unusable.
Comment 27 Volker Merschmann 2011-04-19 13:03:50 UTC
Nominating Bug 36285 - LibO 3.4 beta1 – No available language modules, spell check is impossible

We can't ship a text processor without working spellchecker
Comment 28 Bob 2011-04-19 16:51:36 UTC
Added bug https://bugs.freedesktop.org/show_bug.cgi?id=36404

More than one text cursor at the same time in textfields in dialog boxes.
This bug occur on all dialog boxes who have more than one textfields.
Comment 29 Petr Mladek 2011-04-20 03:19:11 UTC
Really add bug 36404.
Comment 30 mhonline 2011-04-22 11:54:41 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=32672
no chance to get DBF-files to work as dataexchange-format,
This bug: LO corruptes N0-field, which were used as counters, and will cause dataloss in foreign (non-LO) application on data-export. 

Martin
Comment 31 Zack 2011-04-22 11:56:13 UTC
Bug 36301

You can't ship a program that crashes on exit every time.
Comment 32 vitriol 2011-04-23 00:35:09 UTC
Nominating Bug 32899. A feature in completely broken. Already fixed in OpenOffice.org
Comment 33 Rainer Bielefeld Retired 2011-04-24 11:08:07 UTC
Nominate: Bug 36524 - EDITING: Delete Index causes crash
I believe 3.4 can't be shipped with this crash
Comment 34 vitriol 2011-04-24 12:49:26 UTC
Nominating Bug 36481 as stopper. Serious spinbox defect under Windows.
Comment 35 Christian Lohmaier 2011-04-24 14:56:08 UTC
36551 surely is a blocker, as the user must be able to install 3.4.0 when the user already was a user of LO 3.3.2, either as update (i.e. removes 3.3.2) or alongside 3.3.2 (having both 3.3.2 as well as 3.4.0 installed)
Comment 36 sasha.libreoffice 2011-04-25 05:41:24 UTC
Bug 34910 langpack becomes several times larger and has problem with installation (because one file already installed)
Comment 37 Zack 2011-04-25 13:27:54 UTC
Seeing as this is an annoying bug list and not a blocker bug list, I'd like to nominate Bug 36439 as an annoying bug.  Since it involves a new feature, I think new features should work correctly before shipping a new product.
Comment 38 Petr Mladek 2011-04-26 06:53:03 UTC
(In reply to comment #30)
> https://bugs.freedesktop.org/show_bug.cgi?id=32672
> no chance to get DBF-files to work as dataexchange-format,
> This bug: LO corruptes N0-field, which were used as counters, and will cause
> dataloss in foreign (non-LO) application on data-export.

Sounds serious, so added the bug to the list.
Comment 39 Petr Mladek 2011-04-26 07:07:05 UTC
(In reply to comment #36)
> Bug 34910 langpack becomes several times larger and has problem with
> installation (because one file already installed)

It affects more locations and should get fixed => adding to the list
Comment 40 Zack 2011-04-27 15:00:53 UTC
Bug 36613.  It's a regressive bug that's annoying but certainly not a blocker.  If people vehemently disagree with adding this bug to the list feel free to remove it.
Comment 41 Zack 2011-04-27 15:21:40 UTC
Bug 36615.  Regressive bug that is very annoying.
Comment 42 Ed 2011-04-29 04:31:03 UTC
Adding Bug 36275 - LibO 3.4b1-b2 fails to start with "symbol lookup error": undefined symbol: sal_detail_initialize.

Bugs don't get much more serious that the program failing to start at all.
Comment 43 manj_k 2011-04-29 15:28:52 UTC
Nominating Bug 36678 - Missing user-defined dictionaries with a specified language attribute via "Spelling and Grammar" <F7>

You cannot add a word to user-defined dictionaries with a specified language
attribute via "Spelling and Grammar" <F7>.
Comment 44 Rainer Bielefeld Retired 2011-04-30 11:09:48 UTC
Nominating "Bug 36571 - Find bar does not appear properly at top of screen". This one can really drive you crazy by messing up all toolbars until you will have learned that docking to the bottom will solve the problem.
Comment 45 Raphaël 2011-05-02 03:18:40 UTC
Please look at bug 36547: a very annoying compatibility problem with openoffice .odp files...
Comment 46 Rainer Bielefeld Retired 2011-05-02 21:53:15 UTC
Nominate: "Bug 36684 - UI: Menu 'View> Toolbars' relations to toolbars
          messed up". We can not shil 3.4 with that bug.
Comment 47 vitriol 2011-05-03 00:06:56 UTC
Nominating Bug 36662.
"Right click > Wrap" over an image has missing icons. This is not only
cosmetic, but it prevents to understand the option status.
Comment 48 vitriol 2011-05-03 02:11:40 UTC
Nominating Bug 36667. Function result update in Writer is broken. Regression form 3.3.2
Comment 49 Michael Meeks 2011-05-03 02:30:05 UTC
There are a number of bugs here that are long standing, and not regressions, so - annoying as they are I don't believe we should really focus on fixing them for 3.4:

bug #32672, bug #32862, bug #34814, bug #36547

So - I nominate them for removal :-)
Comment 50 Petr Mladek 2011-05-03 07:19:33 UTC
Add bug #35554: GNOME integration still does not work with 3.4.0-beta3.
Comment 51 Petr Mladek 2011-05-03 07:31:19 UTC
Add bug #36802: the built-in testtool.bin crashes
Comment 52 clio 2011-05-03 12:54:25 UTC
Consider Bug 35706 – Ctrl F, Ctrl Alt F doesn't work in Basic IDE
Also, in Draw and Writer components, when the Draw panel is active, the Find toolbar doesn't have enough space whith Default icons and 1280*800 screen resolution. IMHO, this patch is not stable for release yet.
Also note these Basic IDE bugs: https://bugs.freedesktop.org/show_bug.cgi?id=30545#c7

And this bug:  Bug 35480 – Curves have round control points with black background
(the solution is to use the picture markers2.png from hg.services.openoffice.org or to save it with options given in the bug) The fix for the filter would be better, but as far as it is not fixed, IMHO, the picture should be fixed, because it is publicly visible contrary to the hidden bug with PNG exporting that appears in very rare cases.
Comment 53 Jean-Baptiste Faure 2011-05-03 14:12:20 UTC
I would like nominate bug 36519 : it is may be received as a very bad signal by ODF adepts.
Comment 54 Rainer Bielefeld Retired 2011-05-04 00:44:45 UTC
Nominate "Bug 36820 - PDF export with option "Tagged PDF" crashes for particular big complex WRITER documents". I prefer to nominate only confirmed reports, but the performance of UNCONFIRMED confirming still is lousy ...
Comment 55 vitriol 2011-05-04 02:33:29 UTC
Nominating bug 36676. Paragraph borders disappear when adding background to paragraph style.
Comment 56 Petr Mladek 2011-05-04 03:14:09 UTC
(In reply to comment #52)
> Consider Bug 35706 – Ctrl F, Ctrl Alt F doesn't work in Basic IDE

accepted

> Also, in Draw and Writer components, when the Draw panel is active, the Find
> toolbar doesn't have enough space whith Default icons and 1280*800 screen
> resolution. IMHO, this patch is not stable for release yet.

Is there any bug number for this?

> Also note these Basic IDE bugs:
> https://bugs.freedesktop.org/show_bug.cgi?id=30545#c7

I suggest to open separate bugs for the problems. In general, it is a bad idea to discuss to many problems in a single bug. It usually results in a mess. It takes a long to read the history. It is easy to miss important information or lost track of what is fixed and what still need to be fixed, ... Short and clear bugs usually more motivates developers to work on them.
 
> And this bug:  Bug 35480 – Curves have round control points with black
> background

It is a minor issue, no duplicates, no other interested people in CC (except for two developres). I am sorry but it does not fit into the group of most annoying bugs.

> (the solution is to use the picture markers2.png from
> hg.services.openoffice.org or to save it with options given in the bug) The fix
> for the filter would be better, but as far as it is not fixed, IMHO, the
> picture should be fixed, because it is publicly visible contrary to the hidden
> bug with PNG exporting that appears in very rare cases.

This is not the right place to discuss solution of a particular bug. It is better to add comment to the bug.
Comment 57 clio 2011-05-04 03:42:38 UTC
(In reply to comment #56)
> 
> Is there any bug number for this?
>
No.

> > Also note these Basic IDE bugs:
> > https://bugs.freedesktop.org/show_bug.cgi?id=30545#c7
>

> I suggest to open separate bugs for the problems. In general, it is a bad idea
> to discuss to many problems in a single bug. It usually results in a mess. It
> takes a long to read the history. It is easy to miss important information or
> lost track of what is fixed and what still need to be fixed, ... Short and
> clear bugs usually more motivates developers to work on them.
> 

Bug 36831, Bug 36832, Bug 36833, Bug 36834, Bug 36835
Comment 58 Petr Mladek 2011-05-04 05:37:26 UTC
Add bug 36838: soffice/oosplash.bin does not process relative paths to documents
Comment 59 Rainer Bielefeld Retired 2011-05-04 06:51:34 UTC
(In reply to comment #49)
> There are a number of bugs here that are long standing, [...]

On <http://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Nomination> this bug is listed as blocker tracking task, and I believe we should 
- "redefine" it as a 3.4.0 blocker tracking task
- remove bugs that do not fulfill blocker definition with a pseudo keyword in 
  the whiteboard "former 3.4 mab" (or similar), because most of them are not
  really blockers, but may be bugs with superior severity, so that tracking of 
  them can be continued easily

Currently we have several bugs without any realistic chance to be fixed in 3.4. listed here, I see your proposals as such ones (may be except "Bug 34814 - Bullet lists in .docx are loaded incorrectly", IMHO.

I agree with your suggestion.

Additional candidates for removal IMHO might be:
Bug 36613 - LO 3.4 Beta 2 - Hover over icons produces the wrong behavior
Bug 35706 - Ctrl F, Ctrl Alt F doesn't work in Basic IDE in LibO version dev300m103
Bug 35017 - Shortcuts that can not be modified permanently should be marked
Bug 36262 - Undo BrOffice, return to LibreOffice
Bug 36439 - Find Toolbar won't close if left open
Bug 36519 - For default saving options, ODF format is replaced by the filter names (writer8, calc8, etc.)
Bug 36547 - Impress: Rendering problems with some .odp files
Bug 36551 - 3.4beta2 can neither be installed as update to 3.3.2 nor alongside 3.3.2 because of packaging conflicts
Bug 36676 - sourroundig lines in paragraphs are missing
Bug 36662 - Missing icons (option controls) in right click > Wrap over an image
Bug 36613 - LO 3.4 Beta 2 - Hover over icons produces the wrong behavior
Comment 60 clio 2011-05-04 06:59:12 UTC
This could be a stopper (if confirmed): Bug 36816 – Document statistics: Paragraph Count doesn't work
Comment 61 Alex Thurgood 2011-05-04 07:05:33 UTC
Nominating bug 36306

Alex
Comment 62 Alex Thurgood 2011-05-04 07:44:35 UTC
Nominating 36483, the Address Datasource wizard no longer works, a regression compared to LibO 3.3.2.


Alex
Comment 63 Alex Thurgood 2011-05-04 07:59:33 UTC
Sorry, my bad mixed up 4 and 8 in bug number dependencies, corrected now.

Alex
Comment 64 vitriol 2011-05-04 11:05:54 UTC
Nominating bug 36848. Named range can not be selected with Name Box. Regression
Comment 65 vitriol 2011-05-05 00:40:19 UTC
Nominating Bug 36863. [Math] Crash updating formula. Crash and regression
Comment 66 Cor Nouws 2011-05-06 02:46:30 UTC
add #36898 : dir() function broken
Comment 67 Cor Nouws 2011-05-06 02:55:45 UTC
propose #36673 formatting of Dates in spreadsheet changed
Comment 68 Noel Power 2011-05-06 04:19:55 UTC
nominating bug #36903 as it is a nasty regression
Comment 69 rygle 2011-05-06 21:04:28 UTC
Nominating https://bugs.freedesktop.org/show_bug.cgi?id=32709

This bug is a regression from OOo that means no file exported as ppt format can be opened by a MS Office product that has up to date patches.

It has been around since December and affects every version ever made of LibreOffice, but does not affect any version of OpenOffice as far as I am aware, and I have installed all the betas and several nightlies as well as releases.

The bug has clear and defined test cases, and it should be relatively simple to find where the regression occurred, because it happened very early on and only affects a fairly specific part of LibreOffice.
Comment 70 vitriol 2011-05-06 22:27:09 UTC
Nominating Bug 36926 - Missing bundled English dictionary extension dict-en. Regression
Comment 71 vitriol 2011-05-06 23:10:44 UTC
Nominating Bug 36927 - Some content not localized. Regression from 3.4 Beta 3
Comment 72 Rainer Bielefeld Retired 2011-05-07 00:01:34 UTC
Replaced "Bug 36903 - export of tables (.doc) produces corrupted document"
by
"Bug 35805 - Tables corrupted in exported doc-files"
where those problems have been reported for a much more early version.
Comment 73 clio 2011-05-07 04:43:32 UTC
Nominating:
Bug 36915 – Beanshell scripts don't work (LibO 3.4 beta4)
https://bugs.freedesktop.org/show_bug.cgi?id=36915
Comment 74 Alex Thurgood 2011-05-07 09:25:39 UTC
Nominating bug 36545, causes systematic crash on hyperlink insert and target choice, OS independent.

Alex
Comment 75 Sean Carlos 2011-05-07 11:09:27 UTC
Nominating 36756, broken links in Impress PDF export, as data is lost and a patch, albeit for OO, is available.
Comment 76 vitriol 2011-05-08 02:54:19 UTC
Nominating Bug 36957. Crash and regression.
Comment 77 Alan Reeve 2011-05-08 04:42:31 UTC
I should like to nominate Bug 35798 to be added to this list.  This bug/improvement is regarding Suppression of Blank Lines (fields) in Addresses when merging from Database into a Text Document to print Envelopes and Labels.  Without this amendment users have to work out how to suppress blank lines using special codes and because the codes have to be added at the "Prepare to Print"  drop down box stage, it is impossible to back track after you have entered the print cycle
Comment 78 Cor Nouws 2011-05-08 08:36:16 UTC
Hi Alan
(In reply to comment #77)
> I should like to nominate Bug 35798 to be added to this list.  This
> bug/improvement is regarding Suppression of Blank Lines (fields) in Addresses
> [..]

How much I support the wish for that feature: it will not make it to the list of most annoying bugs. This list really is focused on must-repairs for the next release. Very useful improvements, do not apply for that.
Comment 79 Petr Mladek 2011-05-09 04:52:11 UTC
Add bug 35805: table DOC export looks completely broken
Comment 80 Petr Mladek 2011-05-09 05:17:03 UTC
(In reply to comment #73)
> Nominating:
> Bug 36915 – Beanshell scripts don't work (LibO 3.4 beta4)
> https://bugs.freedesktop.org/show_bug.cgi?id=36915

accepted
Comment 81 Petr Mladek 2011-05-09 05:29:59 UTC
(In reply to comment #77)
> I should like to nominate Bug 35798 to be added to this list.  This
> bug/improvement is regarding Suppression of Blank Lines (fields) in Addresses
> when merging from Database into a Text Document to print Envelopes and Labels. 
> Without this amendment users have to work out how to suppress blank lines using
> special codes and because the codes have to be added at the "Prepare to Print" 
> drop down box stage, it is impossible to back track after you have entered the
> print cycle

I am afraid that we have other bugs that are more annoying for more users. I do not think that this one belongs here.
Comment 82 Petr Mladek 2011-05-09 05:40:18 UTC
(In reply to comment #60)
> This could be a stopper (if confirmed): Bug 36816 – Document statistics:
> Paragraph Count doesn't work

accepted; this feature is relatively important, for example, for students, ...
Comment 83 vitriol 2011-05-09 06:52:05 UTC
Nominating Bug 37013 as blocker. Saving in DOC format loses all styles. Nasty regression that makes DOC saving completely unusable.
Comment 84 Alex Thurgood 2011-05-09 07:16:26 UTC
Nominating bug 34699, regression compared to 3.3.2. I might add that all of the other scripts apart from Basic appear to be unavailable or non-functional / executable.

Alex
Comment 85 Olivier Hallot 2011-05-09 07:27:42 UTC
Add bug 37014, cannot insert formula in Writer table. Makes formulas in Writer unusable.
Comment 86 Alex Thurgood 2011-05-09 07:36:30 UTC
After discussion with cloph, removing 34699 and will enter a new report for all scripting on Mac OS.

Alex
Comment 87 Alex Thurgood 2011-05-09 07:43:23 UTC
Now nominating 37015, scripting other than Basic unavailable on Mac, regression compared to 3.3.2.

Alex
Comment 88 Cor Nouws 2011-05-09 08:27:33 UTC
nominate #37017: Bullets in presentation not saved
Comment 89 Alex Thurgood 2011-05-09 09:27:38 UTC
Nominating 37008, binary filters for SDW, SDC missing on Mac 3.4b4, regression compared to 3.3.2.

Alex
Comment 90 Petr Mladek 2011-05-09 09:47:04 UTC
Add bug #33355: Python scripting not available
Comment 91 Petr Mladek 2011-05-09 11:55:45 UTC
(In reply to comment #88)
> nominate #37017: Bullets in presentation not saved
accepted; annoying, affects almost all Impress users.
Comment 92 Petr Mladek 2011-05-09 12:01:16 UTC
Add bug #36907: Extremely slow after installation
Comment 93 Noel Power 2011-05-10 03:42:02 UTC
nominating bug #36991
Comment 94 Rainer Bielefeld Retired 2011-05-10 10:56:06 UTC
Nominate "Bug 36482 - PDF EXPORT Options dialog missing". Currently not a real blocker, but should we risk that lots of users might have to restore all their settings after deletion of user profile?
Comment 95 Noel Power 2011-05-10 11:04:00 UTC
nominating 37045, seems like some evil mem access when printing, causes at least a crash for me on linux but apparently worse some undefined ( strange ) behaviour on macos
Comment 96 Noel Power 2011-05-10 11:06:05 UTC

valgrind says

==1706== Invalid read of size 1
==1706==    at 0x1EC41058: SwViewImp::SetFirstVisPageInvalid() (viewimp.hxx:186)
==1706==    by 0x1EF750D3: ViewShell::SetFirstVisPageInvalid() (viewsh.cxx:907)
==1706==    by 0x1EC58A98: SwPageFrm::Modify(SfxPoolItem const*, SfxPoolItem const*) (pagechg.cxx:554)
==1706==    by 0x1E966638: SwClient::ModifyNotification(SfxPoolItem const*, SfxPoolItem const*) (calbck.hxx:111)
==1706==    by 0x1E969140: SwFmt::~SwFmt() (format.cxx:267)
==1706==    by 0x1EA3BF3E: SwFrmFmt::~SwFrmFmt() (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/solver/300/unxlngx6.pro/lib/libswlx.so)
==1706==    by 0x1EC5F5BC: SwPageDesc::~SwPageDesc() (pagedesc.cxx:114)
==1706==    by 0x1EC5F691: SwPageDesc::~SwPageDesc() (pagedesc.cxx:116)
==1706==    by 0x1E9D80DB: SwPageDescs::DeleteAndDestroy(unsigned short, unsigned short) (doc.cxx:144)
==1706==    by 0x1EA537E2: SwDoc::~SwDoc() (docnew.cxx:561)
==1706==    by 0x1EA549BB: SwDoc::~SwDoc() (docnew.cxx:664)
==1706==    by 0x1EF7CAFB: ViewShell::~ViewShell() (vnew.cxx:320)
==1706==  Address 0x50 is not stack'd, malloc'd or (recently) free'd
==1706== 
==1706== 
==1706== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==1706==  Access not within mapped region at address 0x50
==1706==    at 0x1EC41058: SwViewImp::SetFirstVisPageInvalid() (viewimp.hxx:186)
==1706==    by 0x1EF750D3: ViewShell::SetFirstVisPageInvalid() (viewsh.cxx:907)
==1706==    by 0x1EC58A98: SwPageFrm::Modify(SfxPoolItem const*, SfxPoolItem const*) (pagechg.cxx:554)
==1706==    by 0x1E966638: SwClient::ModifyNotification(SfxPoolItem const*, SfxPoolItem const*) (calbck.hxx:111)
==1706==    by 0x1E969140: SwFmt::~SwFmt() (format.cxx:267)
==1706==    by 0x1EA3BF3E: SwFrmFmt::~SwFrmFmt() (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/solver/300/unxlngx6.pro/lib/libswlx.so)
==1706==    by 0x1EC5F5BC: SwPageDesc::~SwPageDesc() (pagedesc.cxx:114)
==1706==    by 0x1EC5F691: SwPageDesc::~SwPageDesc() (pagedesc.cxx:116)
==1706==    by 0x1E9D80DB: SwPageDescs::DeleteAndDestroy(unsigned short, unsigned short) (doc.cxx:144)
==1706==    by 0x1EA537E2: SwDoc::~SwDoc() (docnew.cxx:561)
==1706==    by 0x1EA549BB: SwDoc::~SwDoc() (docnew.cxx:664)
==1706==    by 0x1EF7CAFB: ViewShell::~ViewShell() (vnew.cxx:320)
==1706==  If you believe this happened as a result of a stack
==1706==  overflow in your program's main thread (unlikely but
==1706==  possible), you can try to increase the size of the
==1706==  main thread stack using the --main-stacksize= flag.
==1706==  The main thread stack size used in this run was 8388608.
==1706== Thread 5:
==1706== Invalid free() / delete / delete[]
==1706==    at 0x4C25F7B: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==1706==    by 0x60DD2FA: ??? (in /lib64/libc-2.11.2.so)
==1706==    by 0x60DCEA1: ??? (in /lib64/libc-2.11.2.so)
==1706==    by 0x4A215C8: _vgnU_freeres (in /usr/lib64/valgrind/vgpreload_core-amd64-linux.so)
==1706==  Address 0x4048480 is not stack'd, malloc'd or (recently) free'd
==1706== 
==1706== 
==1706== HEAP SUMMARY:
==1706==     in use at exit: 28,320,758 bytes in 394,600 blocks
==1706==   total heap usage: 2,037,752 allocs, 1,643,153 frees, 582,416,425 bytes allocated
==1706== 
==1706== LEAK SUMMARY:
==1706==    definitely lost: 68,984 bytes in 141 blocks
==1706==    indirectly lost: 40,647 bytes in 1,304 blocks
==1706==      possibly lost: 11,996,865 bytes in 166,370 blocks
==1706==    still reachable: 16,214,262 bytes in 226,785 blocks
==1706==         suppressed: 0 bytes in 0 blocks
==1706== Rerun with --leak-check=full to see details of leaked memory
==1706== 
==1706== For counts of detected and suppressed errors, rerun with: -v
==1706== ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 94 from 9)
Killed
Comment 97 Petr Mladek 2011-05-11 06:58:03 UTC
Add bug 37108: binfilters missing also on windows
Comment 98 Volker Merschmann 2011-05-11 12:41:03 UTC
Adding Bug 36679 - Virus detected on installation (Windows)
Comment 99 Michael Meeks 2011-05-12 02:44:35 UTC
nominate data loss / corruption during odf presentation load & then save: bug#37131
Comment 100 Petr Mladek 2011-05-12 11:21:36 UTC
(In reply to comment #99)
> nominate data loss / corruption during odf presentation load & then save:
> bug#37131

It is a duplicate of the bug 37017 that is already here and has been fixed today.
Comment 101 clio 2011-05-14 14:28:37 UTC
Nominating Bug 37211 – "Del" and "Ctrl A" keys don't work in Basic IDE
https://bugs.freedesktop.org/show_bug.cgi?id=37211
(regression against LibO3.4beta4)
Comment 102 Cor Nouws 2011-05-16 07:34:58 UTC
propose 37077: extreme UI flickering op opening ODT
Comment 103 Björn Michaelsen 2011-05-16 11:00:45 UTC
Proposing 36443 as it renders base useless for some users.
Comment 104 vitriol 2011-05-17 01:42:08 UTC
Nominating Bug 37277 as blocker. Formulas in table are inserted into the wrong cell. Regression from 3.3.2.
Comment 105 sasha.libreoffice 2011-05-17 03:44:18 UTC
Very annoying, but not blocker 
Bug 32861 - Impress hangs part way through slide show
Linux specific bug, Impress hangs if slide contains gif animation
Comment 106 Petr Mladek 2011-05-17 07:23:58 UTC
(In reply to comment #105)
> Bug 32861 - Impress hangs part way through slide show
> Linux specific bug, Impress hangs if slide contains gif animation

it seems to affect more users => accepted
Comment 107 vitriol 2011-05-17 11:39:42 UTC
Nominating Bug 37252 as blocker. Crashing when using "Function Wizard" button. Regression and crash.
Comment 108 sasha.libreoffice 2011-05-18 02:31:30 UTC
One another iteresting regression if will confirmed:
Writer corrupts tables when saving in doc format
Bug 37309 - regression: when table in Writer saved in doc format, it becomes corrupted
Comment 109 Petr Mladek 2011-05-18 03:16:44 UTC
(In reply to comment #107)
> Nominating Bug 37252 as blocker. Crashing when using "Function Wizard" button.
> Regression and crash.

Kohei provided the fix and we plan to use it for LO-3.4.0-rc2.

Anyway, I think that it was not blocker because it happened only with the particular function. Similar bugs used to be even in older final releases. Note that this is the purpose of the time-based release to do not wait for every single fix that affects only limited number of users. It is better to fix them in more frequent bug fix releases.
Comment 110 vitriol 2011-05-18 07:11:59 UTC
Nominating Bug 37317. Select comments print position in print dialog and closing crashes writer. Regression and crash.
Comment 111 Petr Mladek 2011-05-19 02:22:14 UTC
Add 37319: Filecopy function no longer works as before; block several extensions
Comment 112 vitriol 2011-05-19 04:33:14 UTC
Nominating Bug 37356 - [Calc] Paste Special of copied cells with transposition causes LibreOffice to hang. Hang and regression from 3.3.2
Comment 113 Noel Power 2011-05-19 08:27:44 UTC
nominating bug #37370
Comment 114 Rainer Bielefeld Retired 2011-05-20 08:18:33 UTC
Nominate as BLOCKER: "Bug 37030 - Crash when Copy/Paste as GDI metafile selected cell range from CALC to WRITER"
Comment 115 Arnaud Versini 2011-05-21 05:24:31 UTC
Nominate 37429, crash LibO when Copy/Paste from Writter to Calc
Comment 116 zephyrus 2011-05-22 07:45:07 UTC
I suggest to add bug 36766: very severe regression, hit all Impress users, and can be a blocker for a lot of them.
Comment 117 vitriol 2011-05-23 22:00:08 UTC
Nominating Bug 37520 - [Calc] Crash with Insert Names Labels. Crash and regression.
Comment 118 Alex Thurgood 2011-05-23 23:13:06 UTC
Nominating 37487 as most annoying bug - crash in Writer on Mac when using drag and drop to copy data from datasource navigator to Writer document.

Alex
Comment 119 Alex Thurgood 2011-05-24 00:28:55 UTC
Nominating 37529 as most annoying - crash when using data source navigator in Writer (F4) to browse tree listing of tables in a mysql jdbc driver connected database.


Alex
Comment 120 Andras Timar 2011-05-24 12:57:03 UTC
I nominate bug 37516. It is a regression, invalid DOC file (MS Office Binary Format) is saved from LibreOffice 3.4.
Comment 121 vitriol 2011-05-25 07:26:54 UTC
Nominating Bug 37584. [Writer] Track changes: deleted text lost. Regression and data loss.
Comment 122 Alex Thurgood 2011-05-26 07:15:34 UTC
Nominating 37620. Affects multiple OSes. Builtin report wizard made reports no longer display data, merely ipsem lorum typesetter text. Actual data not  displayed, making these reports useless.

Alex
Comment 123 Alex Thurgood 2011-05-26 07:22:11 UTC
Re bug 37620 - regression compared to 3.3.2. Looks like the problem occurred after integration of OOo 3.4 code, since the problem also exists in OOo-dev 3.4m0.

Alex
Comment 124 Alex Thurgood 2011-05-26 07:46:38 UTC
Nominating 37590 - radio buttons in Base forms no longer transmit reference data to underlying database field. This is a regression over 3.3.2 and causes data loss when switching between 3.4 and 3.3.2 and earlier. Also, the bug is not present in OOo 3.4beta.


Alex
Comment 125 vitriol 2011-05-27 03:40:56 UTC
Nominating Bug 37622. [Calc] XLS file loses formatting. Regression.
Comment 126 Petr Mladek 2011-05-27 05:36:26 UTC
Add bug #32948: we should get the address book stuff fixed until 3.4.2.
Comment 127 clio 2011-05-27 09:33:50 UTC
Nominating Bug 37668 - Math crashed after put some elements
Comment 128 Rainer Bielefeld Retired 2011-05-30 11:09:35 UTC
Nominate Bug 34805 - Recovery of MS OFFICE documents fails after crash
Comment 129 vitriol 2011-05-30 12:42:45 UTC
Nominating Bug 37763. Define a range name prevents recognition of a label. Regression.
Comment 130 Rainer Bielefeld Retired 2011-05-30 22:38:48 UTC
Nominate "Bug 37179 - [UX] options set in Find&Replace dialog, influence how Find tool bar works". "Find" is a very basic, very important function what should work error free
Comment 131 Rainer Bielefeld Retired 2011-06-01 07:35:19 UTC
I nominate "Bug 37799 - Crash when Break (remove) DDE link to CALC". I believe Such DDE links are frequently used (at least I do that), and a crash there is not a bagatelle.
Comment 132 clio 2011-06-02 23:16:13 UTC
Nominating Bug 37869 - Missing symbols in Math Elements windows (regression against LibO 3.3.2)
Comment 133 tommy27 2011-06-04 13:20:13 UTC
I suggest adding this https://bugs.freedesktop.org/show_bug.cgi?id=37516 and fixing if in 3.4.1 release
Comment 134 Jean-Baptiste Faure 2011-06-04 13:36:56 UTC
I nominate bug 37930 : it is a crash with the filepicker of Seven/Vista when you insert an hyperlink.
Comment 135 vitriol 2011-06-05 02:14:13 UTC
Nominating Bug 3794. Some formulas not recognized. Regression against 3.3.2. Similar or maybe related to Bug 37860.
Comment 136 vitriol 2011-06-05 02:20:12 UTC
(In reply to comment #135)
> Nominating Bug 3794. Some formulas not recognized. Regression against 3.3.2.
> Similar or maybe related to Bug 37860.

Sorry, was Bug 37942. I correct it.
Comment 137 Cor Nouws 2011-06-05 11:39:24 UTC
Adding #35784
  EDITING - unable to update postgresql databases using postgres SDBC driver
Comment 138 Petr Mladek 2011-06-06 03:06:40 UTC
(In reply to comment #133)
> I suggest adding this https://bugs.freedesktop.org/show_bug.cgi?id=37516 and
> fixing if in 3.4.1 release

It has already been added few days ago.
Comment 139 Petr Mladek 2011-06-06 03:09:32 UTC
(In reply to comment #134)
> I nominate bug 37930 : it is a crash with the filepicker of Seven/Vista when
> you insert an hyperlink.

Yup, it deserves to be here.
Comment 140 Rainer Bielefeld Retired 2011-06-06 04:19:56 UTC
Nominate "Bug 37488 - PRINTING result completely messed up", tables and DRAW objects crippled in WIN printouts.
Comment 141 vitriol 2011-06-07 01:07:32 UTC
Nominating Bug 38000. [Writer] crash with a closing parenthesis on the beginning of a line. Crash and regression.
Comment 142 Olivier Hallot 2011-06-07 11:48:04 UTC
Nominating bug 37693 as unacceptable table border line behaviour / rendering
Comment 143 Michael Meeks 2011-06-08 00:51:30 UTC
suggest 37825 - can't un-encrypt a file.
Comment 144 Andras Timar 2011-06-09 02:12:33 UTC
bug 37888 – crash when saving to doc format
Comment 145 Petr Mladek 2011-06-09 02:16:00 UTC
(In reply to comment #142)
> Nominating bug 37693 as unacceptable table border line behaviour / rendering

Hmm, I am afraid that it does not fit here. I understand that it is very annoying for the reporter but I doubt that it affects a big group of other users. Also there is a comment that the behavior is random. These bugs are usually very hard to debug. In the real life, such bugs are often fixed only when another better reproducible scenario is found.
Comment 146 Petr Mladek 2011-06-09 02:26:11 UTC
(In reply to comment #143)
> suggest 37825 - can't un-encrypt a file.

Sounds annoying => added.
Comment 147 Andras Timar 2011-06-09 05:53:31 UTC
bug 38067 – serious performance issue with tables in Writer
Comment 148 brenbarn 2011-06-13 21:08:15 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=34940

This is basic functionality that appears not to work.
Comment 149 Jean-Baptiste Faure 2011-06-14 21:22:20 UTC
Nominate bug 37771: the ridiculous password size for protected sections, make this function unusable.
Comment 150 Petr Mladek 2011-06-16 08:28:41 UTC
Add bug #38374: data loss when exporting pasted forms into DOC.
Comment 151 Rainer Bielefeld Retired 2011-06-20 21:46:16 UTC
Nominating "Bug 37195 - Dictionary access lost after LibO upgrade". It's not acceptable that users have to edit the user profile folders to regain access to their dictionaries.
Comment 152 Jean-Baptiste Faure 2011-06-22 05:32:18 UTC
Nominating bug 38544 : regression and accessibility issue, no mean to edit an object in Calc without using the mouse.
Comment 153 NX 2011-06-23 00:03:07 UTC
I don't know if this is the correct place to add a mention of one or more annoying bugs in the current 3.4.0 release, but i have to add something annoying.

In LibreOffice Calc 3.4.0 there is an issue concerning cell borders.

When i create a table in Calc and give personalized cell borders in the formatting cell dialog, i get the correct cell borders. I want to use vertical borders with double line (one thin and one thick next to each other). After formatting everything is fine, i save the file on a network drive and close Calc.

My next question is: Where can i add feature requests?

Feel free to move my comment, my experience with this bugzilla is not so good.
But after reopening the file these cell borders disappered and i have to reformat the cells again. With big tables this is a quite waste of time.  

M
Comment 154 Rainer Bielefeld Retired 2011-06-23 00:20:52 UTC
@NX:
For a novice starting his comment with  "I don't know" you really modify settings with stupendous courage ;-)
Of course this is not the correct place, and please do not touch Bugzilla pickers if you do not know exactly for what they are.

You can get information on
<http://wiki.documentfoundation.org/BugReport>
<http://wiki.documentfoundation.org/BugReport_Details>
I recommend to post questions on [tdf-discuss] or a user mailing list, I do not understand your border Problem. If discussion on a user mailing list has a result, you can file a new bug report, or you will find someone in the discussion who will do it for you, or you can ask me by personal mail with a draft of your bug report.

For an enhancement request I recommend the same proceeding, present your idea in a mailing list (may be someone is already working on it).
Comment 155 Jean-Baptiste Faure 2011-06-23 00:46:14 UTC
I nominate bug 38590 : fd-leak which blocks the file-system and possible data loss
Comment 156 sasha.libreoffice 2011-06-23 02:09:02 UTC
(In reply to comment #153)
Thanks for interesting information about bug. I filed report about this:
Bug 38595 - Calc not saves borders of cell
This bug looks like annoying. Meanwhile try use bigger width of line, at least 1.0, this bug my not appear then.
Comment 157 Alex Thurgood 2011-06-24 04:57:38 UTC
Nominating 38623 - regression over 3.3.3, nasty crash on opening Word doc.

Alex
Comment 158 NX 2011-06-26 22:42:34 UTC
(In reply to comment #156)
> Meanwhile try use bigger width of line, at least 1.0, this bug my not appear then.

Works fine. Thanks for that "workaround". :)
Comment 159 Michael Meeks 2011-06-28 06:44:45 UTC
writer redlining/undo bug #38745 might be an interesting candidate if verified ;-)
Comment 160 Petr Mladek 2011-06-29 01:25:20 UTC
(In reply to comment #159)
> writer redlining/undo bug #38745 might be an interesting candidate if verified
> ;-)

It was confirmed and added to the list.
Comment 161 Rainer Bielefeld Retired 2011-07-06 02:22:50 UTC
For 3.4.2 Blockers please see "Bug 38993 - [TASK]: Bugfixes required for enterprise deployment LibO 3.4.2" and add yourself to CC if you are interested!
Comment 162 Rainer Bielefeld Retired 2011-07-11 22:42:22 UTC
Nominate "Bug 39155 - FORMATTING: Word wrap does work in the header, footer, table", what makes Writer unusable for lots of users. DATALOSS, the problem persists when you open the damaged document with a version what normally does not show that problem.
Comment 163 Rainer Bielefeld Retired 2011-07-12 00:29:21 UTC
Nominate "Bug 39159 - PRINTING: Switching radio buttons "Selection <-> All" Crashes".
Comment 164 Kohei Yoshida 2011-07-14 09:18:14 UTC
Adding Bug 36688.
Comment 165 Regina Henschel 2011-07-15 02:41:46 UTC
Nominate Bug 38619 - Picture of type wmf is not printed correctly.
It is a regression to LO 3.3.2. wmf is the most important format for external vector graphics.
Comment 166 Regina Henschel 2011-07-15 03:52:06 UTC
I just tested LO3.4.2rc1 and now wmf-pictures print fine for me. So I cancel the nomination.
Comment 167 Rainer Bielefeld Retired 2011-07-15 06:38:21 UTC
Nominate: "Bug 33593 - FindBar use breaks the normal 'Find and replace' by columns". We have to get rid of trouble with Find function
Comment 168 Rainer Bielefeld Retired 2011-07-15 06:43:27 UTC
Nominate "Bug 33379 - Searching in all sheets will not work after using the Find toolbar", another Find problem
Comment 169 Rainer Bielefeld Retired 2011-07-15 07:05:55 UTC
Nominate: "Bug 37499 - Find and Replace Values does not work"
Comment 170 Rainer Bielefeld Retired 2011-07-15 11:14:55 UTC
Nominating: "Bug 39236 - EDITING Calc crashes when deleting a sheet with a pivot table on it"
Comment 171 Jan Holesovsky 2011-07-19 06:28:17 UTC
Removing bug 39155, the reason described in the bug 39155 comment 6.
Comment 172 m.a.riosv 2011-07-19 15:15:22 UTC
Bug 36555,
Prevents read Microsoft Access database.
Is a regression from OOo 3.3
Works well in 3.4
Seems as something is no shipped with 3.4.
Comment 173 Rainer Bielefeld Retired 2011-07-19 23:05:38 UTC
Nominate "Bug 38542 - FORMATTING TABLE double borders incompatibility with old LibO / OOo Versions", makes 3.4  unusable for all users using tables with double lines. Dataloss problem!
Comment 174 vitriol 2011-07-21 22:25:23 UTC
Nominating Bug 39447. Crash and regression in Writer.
Comment 175 Michael Meeks 2011-07-25 04:28:35 UTC
perhaps bug #39520 - crash on exit on mac after cut/paste
Comment 176 vitriol 2011-07-28 11:34:24 UTC
Nominating Bug 37658. Format loss in ODF format and regression.
Comment 177 vitriol 2011-07-29 11:02:04 UTC
Nominating Bug 39659. Java 1.7.0 not recognised,
Comment 178 Rainer Bielefeld Retired 2011-07-31 02:24:41 UTC
Nominate Bug 39510 - CRASH closing document with footnotes, makes LibO unusable for scientific texts or other ones with many footnotes.
Comment 179 HansPL 2011-08-02 02:51:52 UTC
Add https://bugs.freedesktop.org/show_bug.cgi?id=31481 "Split pane in same window" -- inherited from OOo, this seems the single most wanted feature for years.
Comment 180 Rainer Bielefeld Retired 2011-08-02 03:07:08 UTC
@HansPL 
This meta is not for Enhancements, please read original report!
And if a bug is a most annoying one, it's for "Depends on"
Comment 181 cheyne 2011-08-04 08:42:47 UTC
Nominate Bug 32181 - underlining bleed over margin; This bug makes PDF export unusable for certain documents.
Comment 182 Rainer Bielefeld Retired 2011-08-04 23:22:31 UTC
Nominate "Bug 39799 - CRASH when insert SVG image while EDITING"
Comment 183 Rainer Bielefeld Retired 2011-08-09 03:31:22 UTC
Nominate Bug 39919 - CRASH when insert particular SVG picture from file. This one alone might not be a typical "most annoying" one, but we have lots or SVG crash, does not open, result is unusable problems, it would be great if we could get SVG into focus for a while. Or may be this would b better for "Bug 37361 LibreOffice 3.5 most annoying bugs"?
Comment 184 Lionel Elie Mamane 2011-08-15 00:09:03 UTC
Nominate #40079; when in this situation the user is confronted with the situation that (s)he cannot save their document, and feels forced to discard changes to exit LibO and/or turn computer off, which one could consider a form of data loss. The work-around is simple enough *when you know it*, but it is not a natural idea that comes to one's mind when one encounters the problem.
Comment 185 Rainer Bielefeld Retired 2011-08-15 00:37:19 UTC
(In reply to comment #184)
> Nominate #40079; 
Of course, if you are affected, that is a very annoying problem, but I doubt that many users are affected. I do not see "Bug 40079 - "File/Save (as)" inoperant if macro, but not dialog library loaded " as a "most annoying" one.
Comment 186 Petr Mladek 2011-08-15 04:00:06 UTC
(In reply to comment #181)
> Nominate Bug 32181 - underlining bleed over margin; This bug makes PDF export
> unusable for certain documents.

Looks quite ugly => accepted.
Comment 187 Olivier Hallot 2011-08-16 05:53:54 UTC
Nominate bug 40113 in 3.4.x branch.

Spreadsheet header/footer background does not display color or image.
Comment 188 Rainer Bielefeld Retired 2011-08-18 21:34:03 UTC
Following "Most Annoying" Bugs still are without assignee, can developers please check?
1. Bug 37620 - Data in reports created by Report Wizard do not display all data records in LO 3.4 RC1
2. Bug 38745 - redlining / undo document breakage / corruption
3. Bug 39510 - CRASH closing document with footnotes
Comment 189 Carlo Strata 2011-08-20 03:50:42 UTC
I have just added bug 32849 "Table borders in pdf export".

I also am not sure that that bug would not depend on bug 37488 that has been declared "Resolved - Worksform"...

The quality of the Libò generated PDF files has to be very high and now is not so.

Carlo
Comment 190 Rainer Bielefeld Retired 2011-08-21 02:43:23 UTC
Currently we only know that a problem seems to exist, but not, what it is, how many users might be affected, ... . So I remove the bug 32849 for now until we have gathered more knowledge.
Comment 191 Alex Thurgood 2011-08-23 05:32:31 UTC
Nominating 39950 - regression with regard to 3.3.3 and 3.3.4. Copy/pasting report designer objects (fields, labels, etc) between sections causes systematic crash.


Alex
Comment 192 Stefan Knorr (astron) 2011-08-31 12:05:35 UTC
Can we add Bug 39355 ? This can be rather humiliating when you send a PDF to someone who uses Adobe Reader instead of a free PDF reader.
Comment 193 Carlo Strata 2011-09-01 02:06:40 UTC
(In reply to comment #192)
> Can we add Bug 39355 ? This can be rather humiliating when you send a PDF to
> someone who uses Adobe Reader instead of a free PDF reader.

Hi Everyone,

may be this issue is related to this old one
https://bugzilla.novell.com/show_bug.cgi?id=467181

whose title was "PDF/A export broken - Adobe Acrobat reports Invalid
ColorSpace" and the fix (take a look to comment 11) would be the same because it's a new regression?

I just have added this comment to the coming back (?) bug.

Carlo

p.s. Comment 11:
https://bugzilla.novell.com/show_bug.cgi?id=467181#c11
Comment 194 Carlo Strata 2011-09-01 02:10:14 UTC
Hi Everyone,

may be this issue is related to this old one
https://bugzilla.novell.com/show_bug.cgi?id=467181

whose title was "PDF/A export broken - Adobe Acrobat reports Invalid
ColorSpace" and the fix (take a look to comment 11) would be the same because it's a new regression?

I just have added this comment to the coming back (?) bug.

Carlo

p.s. Comment 11:
https://bugzilla.novell.com/show_bug.cgi?id=467181#c11


Il 31/08/2011 21:05, bugzilla-daemon@freedesktop.org ha scritto:
> https://bugs.freedesktop.org/show_bug.cgi?id=35673
>
> --- Comment #192 from Aaron Strontsman<heinzlesspam@gmail.com>  2011-08-31 12:05:35 PDT ---
> Can we add Bug 39355 ? This can be rather humiliating when you send a PDF to
> someone who uses Adobe Reader instead of a free PDF reader.
>
Comment 195 Rainer Bielefeld Retired 2011-09-01 03:46:41 UTC
bugzilla-daemon@freedesktop.org schrieb:
> https://bugs.freedesktop.org/show_bug.cgi?id=35673
>
> --- Comment #194 from Carlo Strata<carlo.strata@tiscali.it>  2011-09-01 02:10:14 PDT ---
> Hi Everyone,
>
> may be this issue is related to this old one
> https://bugzilla.novell.com/show_bug.cgi?id=467181

THIS one definitively not!

Please stop this discussion at the wrong place, Bug 35673 is a tracking 
task bug! Such a question has to be discussed in Bug 39355!

CU

Rainer
Comment 196 vitriol 2011-09-04 02:39:38 UTC
Nominating Bug 40571 - UI EDITING Crash when modifying defined name. Crash and regression.
Comment 197 rpr 2011-09-05 05:51:10 UTC
Nominating bug 38065 - PDF Export with OS or LibO Appearance background color.

This is a quite old bug in Draw (it bit me first time in OOO 3.1 - see http://openoffice.org/bugzilla/show_bug.cgi?id=110948).
Comment 198 Michael Meeks 2011-09-05 09:12:23 UTC
agree 36662 for removal - purely cosmetic and debatable.
Comment 199 vitriol 2011-09-05 09:18:55 UTC
(In reply to comment #198)
> agree 36662 for removal - purely cosmetic and debatable.

It's not only cosmetic... see comment 4.
Comment 200 vitriol 2011-09-08 09:53:25 UTC
Nominating Bug 40701. Base crashes with runtime error when "Find Record" button is clicked with certain documents. Crash and regression.
Comment 201 rpr 2011-09-09 12:46:16 UTC
Nominating Bug 40482 - Non-printing characters become invisible. This is a rather annoying regression in Writer (LibO ver. 3.4.3).
Comment 202 Björn Michaelsen 2011-09-14 15:44:56 UTC
nominating 37579: it fired some ~130 duplicates in the first two weeks of beta.
Comment 203 Luke S 2011-09-15 14:29:28 UTC
I nominate bug 37129 - Dotted and Dashed table borders are not drawn correctly

I find this incredibly annoying; dotted and dashed borders display as solid lines in liberoffice calc 3.3 & 3.4
Comment 204 s.gruber 2011-09-25 01:34:04 UTC
nominating 39205 spaces and TABs added in footnotes when saving as .docx
Comment 205 Alex Thurgood 2011-09-26 09:41:55 UTC
Nominating bug 38177 because of the data loss issue.

Alex
Comment 206 Francisco 2011-09-27 13:41:54 UTC
I would wish to add 39052, which is a basic funcionality that doesn't work.
Comment 207 Francisco 2011-09-27 14:13:13 UTC
I would wish to add 39052, which is a basic funcionality that doesn't work.
Comment 208 LE GARREC Vincent 2011-09-28 14:04:33 UTC
40854 : because, it's really annoying that sometimes you cannot select two drawings with the mouse and CTRL key.
With the bug report is attached a document that show the problem. Plus, this is true that the bug exists since openoffice.
Comment 209 Alex Thurgood 2011-09-29 01:49:55 UTC
Nominating 41022 as blocker. Nasty crash in database form edit mode when using
automatic field order activation function.
Comment 210 Alex Thurgood 2011-09-29 01:57:26 UTC
(In reply to comment #209)
> Nominating 41022 as blocker. Nasty crash in database form edit mode when using
> automatic field order activation function.

It is also a regression over 3.3.4 where the crash does not occur and the function works as intended.

Alex
Comment 211 Michael Meeks 2011-09-29 08:58:37 UTC
LE GARREC Vincent - it is normal for someone else to add a 'most annoying' bug as a dependency after triage, just suggest things in the comments.
Also - wrt. most annoyingness, a bug being a regression is a huge issue here - and it seems there is a suitable workaround for 40854 - so I recommend dropping it. Thanks for suggesting it though, it does sound annoying :-)
Comment 212 LE GARREC Vincent 2011-09-29 09:57:33 UTC
(In reply to comment #211)
> LE GARREC Vincent - it is normal for someone else to add a 'most annoying' bug
> as a dependency after triage, just suggest things in the comments.
> Also - wrt. most annoyingness, a bug being a regression is a huge issue here -
> and it seems there is a suitable workaround for 40854 - so I recommend dropping
> it. Thanks for suggesting it though, it does sound annoying :-)

Sorry, I just read to much strictly the first post "please add the Bug ID as
dependent Bug here to the Meta Bug in field "Depends on"." without noticing that everyone add bugs in comment.

I didn't knew the workaround but I still think that bug should be solved because it's really disappointing when you select two draws at page 100 and you always move to page 30 and select another draw. This behavior always make me thing "It's not really a bug; it's an undocumented feature".

If you still think that bug should be drop, I let you removing from "Depends on". No prob.
Comment 213 Dominique LEGER 2011-09-29 10:28:22 UTC
Proposing bug 39928 - VIEWING: pictures in particular .doc shown wrong, picture size correct, but contents shrunken and surrounded by white margin


Because it is a regression over LO 3.3

Because it corrupts you documents

Because you don't see it happening, so when you see the bug, you have already corrupted many documents
Comment 214 Mihkel Tõnnov 2011-09-29 13:48:03 UTC
Nominating bug 34548 - "Undo" in Impress fails to work at times and sometimes crashes LibreOffice altogether. This bug is probably inherited from OOo, as I could also reproduce it on their 3.4 dev-snapshot I had laying around.
Comment 215 Vossman 2011-10-11 19:24:33 UTC
I would like to nominate Bug 41657 - Inserting Powerpoint file into LibreOffice Impress CRASHES every time.
Comment 216 Mikeyy - L10n HR 2011-10-29 06:17:55 UTC
Like to nomiante 2 bugs. Have one more, but wasn't able to find it reported.
No difference between different border thikness - https://bugs.freedesktop.org/show_bug.cgi?id=33634
Borders behaviour irradical, not WYSIWYG - https://bugs.freedesktop.org/show_bug.cgi?id=42339
Comment 217 Mikeyy - L10n HR 2011-10-29 06:36:18 UTC
Finally found bug that I experience offten since most of company use Excel 2003 and few of us use LO 3.4.3
XLS files saved by CALC have split added on top - https://bugs.freedesktop.org/show_bug.cgi?id=39589
Comment 218 Rainer Bielefeld Retired 2011-10-29 07:38:28 UTC
"Bug 42339 - EDITING and VIEWING cell borders differs from expected and print" exists at least since OOo 1.1.4., so I can't see any founding why this one should have become such a high priority suddenly.

"33634 - VIEWING: No difference between cell border 0,5pt and 1,0pt" is rated as "minor" in the bug, so I also can't see any reason for a listing here. 

Both ones are too far away from a blocker to be listed here, because of that I remove them.
Comment 219 Rainer Bielefeld Retired 2011-10-29 08:43:22 UTC
Argh, something went terribly wrong here, please excuse me for the SPAM. Hope this post fixed the unintended removing of many bugs, please excuse me for the SPAM!
Comment 220 vitriol 2011-10-30 06:02:29 UTC
Nominating Bug 42097. Calc: Search criteria fail with parenthesis and bracket characters.
Comment 221 vitriol 2011-10-30 06:24:47 UTC
Nominating Bug 42382. Scripting in JavaScript and BeanShell broken. Regression.
Comment 222 David Beattie 2011-10-31 10:34:13 UTC
Nominating Bug 38817.  It's a regression from 3.3.x series, and screws up display of forms/reports when you're attempting for a clean professional look.  It has blocked me from upgrading to the 3.4.x series so far.
Comment 223 Reto 2011-10-31 15:50:42 UTC
Nominating Bug 40967. Using IF and OR in array formulas is a standard among all scenarios to be used in array formulas. I use it very often to validate data or generate data values continued to use in other formulas. This should be fixed, especially as it perfectly works in OpenOffice ever since. I wonder if this a regression of refactoring the code of Ooo.
Comment 224 Reto 2011-11-01 15:42:00 UTC
Nominating Bug 40990. Entering array formulas in LO 3.4.3 with big ranges draw a lot of ressources. With a range around a thousand cells it eventually crashes. This shold be fixed otherwise using array formulas with vast ranges will be obsolete.
Comment 225 andréb 2011-11-02 22:09:38 UTC
Bug 42259
Crash if copying a cell from Lotus Notes or OOo.
Occurs on Ms-windows and Linux (x86).
Occurs every time, if cell has formatting.  (colour and/or font size)
If content is special copied to paste as plain text, no problem.

Would guess that is related to some change in format with LibO, since copying a similar cell from LibO to OOo also crashes OOo.

Data copied to LibO should always be filtered to ensure that it is validly formatted for LibO.  No matter what the source.
Comment 226 Rainer Bielefeld Retired 2011-11-02 23:46:14 UTC
Nominate UI [AR]: "Bug 42537 - active indication" background with border (for icons) in menu at left instead at right. Unacceptable very visible bug for RTL. IMHO a "Must have" for 3.4.5
Comment 227 Petr Mladek 2011-11-04 03:57:29 UTC
(In reply to comment #224)
> Nominating Bug 40990. Entering array formulas in LO 3.4.3 with big ranges draw
> a lot of ressources. With a range around a thousand cells it eventually
> crashes. This shold be fixed otherwise using array formulas with vast ranges
> will be obsolete.

Such performance improvement would be too big change for 3.4. It affects only limited group of users, so it even does not belong to the most annoying bugs. Kohei will try to fix it for LO-3.5.
Comment 228 Carlo Strata 2011-11-06 04:05:30 UTC
Hi Everyone,

I nominate Bug 37083 (just fixed!) as very important to be included ("cherry picked" ;-) ) for Libò 3.4.4-RC3.

Its description is is "Position and Size change for picture anchored to cell" it's important for quality in video rendering and in printing.

Have a nice Sunday,

Carlo
Comment 229 Lionel Elie Mamane 2011-11-08 10:01:29 UTC
Nominating #42714, a crasher when one copy/paste a control in report builder.
Comment 230 vitriol 2011-11-08 22:45:18 UTC
Nominating Bug 42723. A nasty UI regression bug.
Comment 231 vitriol 2011-11-08 22:48:57 UTC
(In reply to comment #230)

> Bug 42723

Sorry, is Bug 40948
Comment 232 Rainer Bielefeld Retired 2011-11-09 23:08:51 UTC
Nominate "Bug 42762 - FILEOPEN particular document with Math Formula object will CRASH"
Nominate "Bug 37003 - FILEOPEN particular .odt with formula object crashes"
Nominate "Bug 39006 - FILEOPEN: LibreOffice hangs with 100% CPU usage on specific .doc file"
Might all have the same or similar roots.
Comment 233 Cor Nouws 2011-11-18 14:31:24 UTC
Propose Bug 42684 - FILEOPEN very slow, network/dns related, it takes about 15 minutes ...
Comment 234 Petr Mladek 2011-11-22 04:14:57 UTC
Nominate bug 42772: LO-3.4.4 does not start on Windows 7, 64-bit.
Comment 235 Petr Mladek 2011-11-28 03:01:49 UTC
Nominate bug 43266: Another problem to start 3.4.4 on 64-bit Windows

Hmm, we screwed up something on 64-bit Windows systems.
Comment 236 Orion Poplawski 2011-11-28 14:13:05 UTC
Nominate bug 42958 3.3 -> 3.4 regression with xls formatting
Comment 237 Mihkel Tõnnov 2011-12-11 13:14:33 UTC
Nominating Bug 41996 - Can't move slides in slide sorter.
Quite annoying.
(Seems to not affect everyone, though.)
Comment 238 Cor Nouws 2011-12-15 14:09:11 UTC
Propose Bug 43867 - MAILMERGE: Mail Merge with image in header of document, causes crash
Comment 239 Rainer Bielefeld Retired 2011-12-15 23:45:55 UTC
Nominate "Bug 43868 - FILEOPEN document saved with password: correct password not recognized"
Comment 240 Rainer Bielefeld Retired 2011-12-21 23:22:03 UTC
Nominate "Bug 41089 - FILESAVE: Impossible with password protection"
Comment 241 Petr Mladek 2011-12-22 02:17:53 UTC
(In reply to comment #240)
> Nominate "Bug 41089 - FILESAVE: Impossible with password protection"

Yup, I have added it. Well, it might be a duplicated of the bug 43868. I guess that the fix will be the same for both of them.
Comment 242 Pedro 2011-12-23 03:12:13 UTC
I would like to propose Bug 36982.

It should have been a blocker before. It was a regression against 3.3.x and it causes data loss. The argument that it is not important because it only affects docx users seems irrelevant to me (many of the cases here are also very specific) and this one causes data loss.
Comment 243 Björn Michaelsen 2011-12-23 11:44:00 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 244 manj_k 2011-12-23 12:45:10 UTC
.
Comment 245 John Manko 2012-01-04 11:27:36 UTC
Nominate Bug 42073: Writer input fields are not populated using the Java UNO
API
Comment 246 Philipp Gassmann 2012-01-12 04:31:01 UTC
Add Bug 37860 - Formula returns #VALUE in 3.4RC2 but works as expected in 3.3

Although the change is intended, it breaks compatibility to earlier versions and to Excel import.
There's a common pattern =IF(A1+B1=0;"";A1+B1) which is used to hide zeros, that leads to an error if another formula references this cell when 0/"".
Additionally it is already tagged as EasyHack.
Comment 247 Cor Nouws 2012-01-13 14:17:58 UTC
pls fix issue fdo#41054 in the 3.4.6
Comment 248 Cor Nouws 2012-01-13 14:19:36 UTC
pls fix fod#39118 in 3.4.6 too
Comment 249 Stephan Hennig 2012-01-14 03:08:41 UTC
Added #37561.

Rationale:

Duden Korrektor is a commercial extension (ca. 20 Euro) providing various language tools for the German language that in many tests out-performed all other similar contestants.  The extension is available for LibreOffice, OpenOffice and Microsoft Office and is important for German professional writers as well as many 'regular' German writers.

Not being able to install the extension in LibO 3.4.0 to 3.4.4 makes for a /very/ bad user experience.  Guess what users relying on that extension will stay with or switch to?

As far as I can see from the discussion in #37561, a fix (adding missing symbols) should be relatively simple.

Thanks,
Stephan Hennig
Comment 250 Timur 2012-01-19 04:06:26 UTC
Nominate: https://bugs.freedesktop.org/show_bug.cgi?id=36876 which should be, if it that's not clear, OpenOffice bug 13791. It prevents import of .doc with table.

Nominate: https://bugs.freedesktop.org/show_bug.cgi?id=38261 because current LO's Find&Replace doesn't take care of original word case and it doesn't preserve
capitalisation. But, it should be overall enhanced, just like "Alternative Find & Replace" extension which doesn't work properly on LO anymore.
Comment 251 Rainer Bielefeld Retired 2012-01-19 04:47:50 UTC
@Timur
Please do not "nominate", nobody will check such nominations. Consider wise, add a bug or do not add it.
 <https://bugs.freedesktop.org/show_bug.cgi?id=37361#c91>

Enhancement Requests do not sound like "most annoying"

<http://wiki.documentfoundation.org/BugReport_Details#Version>
Comment 252 Carlo Strata 2012-01-22 12:49:37 UTC
I think that bug 40289, bug 36742 and bug 45078 are the same one.

I just test them with:
- LibreOffice 3.4.5 rc2 (= final), linux x86-64 rpm build, on OpenSuSE 12.1, kernel 3.1.0, updated, Gnome, ita GUIed;

- LibreOffice 3.5.0 beta3 and rc1, win32 build, on my Windows Vista
64 bit, SP2, updated, ita GUIed;

and I obtained always the same result: the bug is still here.

Now I try with 3.5.0 RC1, I posti here test results and then I add them to Most
Annoying 3.4 and 3.5 ones.

I think they may hide a bad table width initialization and tick and color
management. This affect quality and people LibreOffice quality ideas.

Tables and default table width are too often used to yield many document and
their exported PDFs so that people may easily decide because the border bug
that LibreOffice is still too young to be adopted and so they may decide to
unistall it putting all our efforts trough the window!

It's a big pity! So that I add them to most annoying one.

Carlo
Comment 253 Rainer Bielefeld Retired 2012-01-23 23:14:08 UTC
Add "Bug 44208 - CRASH when click Tools -> Options with UI [ta_IN], [hi_IN] and other [xx_IN]", very ugly crash affecting lots of WIN users who can not use LibO with this issue
Comment 254 Rainer Bielefeld Retired 2012-01-29 01:54:58 UTC
I add "Bug 45355 - CRASH if characters in text of BENGALI, TIBETAN, MALAYALAM, MARATHI, NEPALI, TAMIL, TELUGU", LibO is unusable for several Asian languages.
Comment 255 Dag Wieers 2012-02-02 07:56:52 UTC
Added Bug 39724, without the necessary change to the Windows installer (to include XML filters in the default installation), Flat ODF (XML) fails to work on Windows.
Comment 256 Markus Mohrhard 2012-03-04 17:39:16 UTC
Please don't change the fields in this bug. It is a meta bug and covers all platforms.
Comment 257 tommy27 2012-04-12 23:07:54 UTC
since 3.4.x cicle is terminated and all the still 3.4.x open bugs have been moved to the 3.5. MAB page I suggest to close this bug.
Comment 258 Rainer Bielefeld Retired 2012-04-12 23:20:24 UTC
oops, forgot this final step.

@tommy27:
thank you for the hint.
Comment 259 Björn Michaelsen 2012-04-13 01:05:27 UTC
... and there was much rejoicing!
Comment 260 Michael Meeks 2012-04-13 01:40:16 UTC
Thanks Rainer for all that careful work ! :-) and on with the MAB fixing in 3.5 ...
Comment 261 Roman Eisele 2012-08-28 11:04:41 UTC
Set status to CLOSED/FIXED, in order to make it really obvious (especially for beginners) that no more bugs should be added to this tracking bug.
Comment 262 tommy27 2015-10-18 03:18:08 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab3.4 STATS
......................

fixed bugs -> 119
open bugs  -> 0

......................